Montowanie Pendrive w ubuntu - prosze o pomoc


(Nienawidzewaszegoforum) #1

Otóż mam automatyczne montowanie dysków wymiennych i na dodatek mam w ustawieniach konta opcje montowania dysków przenosnych.

Mimo to gdy wkładam pen drive to wyskakuje komunikat ze potrzeba praw roota do zamontowania dysku.

Wiem ze da sie obsłuzyc dysk bez praw roota

Wiec prosze o pomoc

// Poprawiłem tytuł wątku.

Kaka'


(matiit) #2

Nie wiem czy zadziała w ubuntu, ale w Archu to wystarczy się dodać do grupy storage


(system) #3

Nie wiem jak to jest w linuksach, ale w systemach z rodziny *BSD tudzież też unixach potrzebne jest coś takiego jak sudo, to jest pozwolenie na wykonanie niektórych czynności przez zwykłego user, które są przypoisane tylko dla roota. Jeżeli nadal nie wiesz co kaman to poszukaj w googlach, albo w serwisach poświęconych linuksowi. pozdro


(matiit) #4

Kicerk

Tak w ubuntu też jest root.

Ale da się ustawić (powinno być chyba od razu) że zwykły user ma taką możliwość.


(Nienawidzewaszegoforum) #5

no własnie wszystkie opcje w panelach mam ustawione zeby przyjmowały storage data. ale i tak nic nie działa


(Init3) #6

Dziwny problem, z którym się nigdy nie spotkałem poczawszy od wersji 5.10 ale z tego co przeczytałem na ubuntuforums czasem występuje, choć bardzo rzadko, na niektórych laptopach na przykład. Najpier podłącz usb i wklej tu co ci pokazuje polecenie

oraz


(Nienawidzewaszegoforum) #7

sudo isusb

sudo fdisk -l

// Poprawiłem Twój post - dodałem tagi quote.

Kaka’


(Init3) #8

Ok poczytałem troche na sieci i spróbuje ci doradzić. Jest kilka sposobów opisywanych na forach jak sobie poradzić z tym dość rzadkim problemem.

Zakładając ze z twoim usb jest wszystko w porzadku ( twój komputer czyta usb 2.0, pod windowsem nie ma problemów itp.) spróbuj wykorzystać któreś z poniższych rozwiązań. Twój usb to sdb1 (a może sdb ? nie wiem ale chyba sdb1) - jeśli sie myle to poprawcie mnie. Najpierw spróbuj z sdb1.

  1. W jednym z tematów na ubuntuforums uzytkownik jcconnor pisze ze problemy z usb rozwiązało przeinstalowanie (w twoim wypadku niektore programy będą 1 raz instalowane) tych pakietów

i pózniej restart. Możesz to zrobić jako pierwsza czynność, możliwe, że zadziała.

  1. Montowanie i odmontowanie reczne.

Najpierw trzeba zainstalować pmount. Ty to juz masz za sobą, bo zrobiłeś to juz w kroku 1. Następnie, przykładowo:

  1. Sposób z polskiego forum

http://forum.ubuntu.pl/viewtopic.php?t= … nt+problem

Tutaj będziesz musiał oczywiscie dopasować to do twojej nazwy usb w fsdisk.

Linki do tematów z ktorych skorzystałem:

http://ubuntuforums.org/showthread.php? … mount+root

http://ubuntuforums.org/showthread.php? … nt+problem

Na przyszłość polecam korzystać z ubuntuforums, zwłaszcza w skomplikowanych problemach. Napisz koniecznie czy któryś z tych sposobów zadziałał, a jak wyszukasz inny to też, pozdrawiam.


(Nienawidzewaszegoforum) #9

Dziękuje za tak obszerną odpowiedź.

Jednak udało mi się tylko zamontować dysk z komendy.

Wszystkie opcje automatycznego montowania, lub nawet demontowania kończyły się tym samym komunikatem

Oto komenda pod którą to działa:

sudo mount /dev/sdb1 /media/sdb1

Natomiast na komende:

pmount /dev/sdb1 /media/usbdrive
  • jest taka reakcja

// Poprawiłem Twój post - dodałem tagi quote i code.

Kaka’


(matiit) #10

hmm

ainstalowałeś hal?

Dodałeś sę do grupy hal i disk?


(Nienawidzewaszegoforum) #11

Zainstalowałem.

A co do dodawania grup to za bardzo nie wiem o co chodzi.


(matiit) #12

Musi być w Ubuntu jakieś graficzne narędzie coś w stylu:

Zarządzaj użytkownikami i grupami…


(Nienawidzewaszegoforum) #13

no i jest


(matiit) #14

No i sie dodaj do grup o których mówiłem


(Nienawidzewaszegoforum) #15

Dodałem i nadal nic.

Jednak sam wpadłem na pomysł jak to rozwiązac.

Odpowiedź tooo:

FORMAT :mrgreen:

// Poprawiłem Twój post.

Kaka’


(Dodo1122) #16

jest to spowodowane configami hala ;s

rm -rf /usr/share/hal && apt-get install --reinstall hal

na gentoo działa po tym (zamiast apt-get --reinstall, emerge -C hal && emerge hal ofc :slight_smile: )

jest to bug hala 0.5.9, ktory od czasu do czasu daje o sobie znac iirc.

0.5.9.1 działa juz poprawnie.

dodo